HtmlModalPanel (RichFaces JSF components library 3.3.3.Final API)
Keywords: org.richfaces.component.html.HtmlModalPanel class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlModalPanel

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UIModalPanel
                          org.richfaces.component.html.HtmlModalPanel

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlModalPanel

extends UIModalPanel

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID, UPDATE_MESSAGE_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`HtmlModalPanel()`

Method Summary
`java.lang.String` | `getControlsClass()`
`java.lang.String` | `getDomElementAttachment()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()`
`int` | `getHeight()`
`java.lang.String` | `getLabel()`
`java.lang.String` | `getLeft()`
`int` | `getMinHeight()`
`int` | `getMinWidth()`
`java.lang.String` | `getOnbeforehide()`
`java.lang.String` | `getOnbeforeshow()`
`java.lang.String` | `getOnhide()`
`java.lang.String` | `getOnmaskclick()`
`java.lang.String` | `getOnmaskcontextmenu()`
`java.lang.String` | `getOnmaskdblclick()`
`java.lang.String` | `getOnmaskmousedown()`
`java.lang.String` | `getOnmaskmousemove()`
`java.lang.String` | `getOnmaskmouseout()`
`java.lang.String` | `getOnmaskmouseover()`
`java.lang.String` | `getOnmaskmouseup()`
`java.lang.String` | `getOnmove()`
`java.lang.String` | `getOnresize()`
`java.lang.String` | `getOnshow()`
`java.lang.String` | `getShadowDepth()`
`java.lang.String` | `getShadowOpacity()`
`java.lang.String` | `getStyle()`
`java.lang.String` | `getStyleClass()`
`java.lang.String` | `getTop()`
`java.lang.String` | `getTridentIVEngineSelectBehavior()`
`int` | `getWidth()`
`int` | `getZindex()`
`boolean` | `isAutosized()`
`boolean` | `isKeepVisualState()`
`boolean` | `isMoveable()`
`boolean` | `isOverlapEmbedObjects()`
`boolean` | `isShowWhenRendered()`
`boolean` | `isTrimOverlayedElements()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAutosized(boolean _autosized)`
`void` | `setControlsClass(java.lang.String _controlsClass)`
`void` | `setDomElementAttachment(java.lang.String _domElementAttachment)`
`void` | `setHeaderClass(java.lang.String _headerClass)`
`void` | `setHeight(int _height)`
`void` | `setKeepVisualState(boolean _keepVisualState)`
`void` | `setLabel(java.lang.String _label)`
`void` | `setLeft(java.lang.String _left)`
`void` | `setMinHeight(int _minHeight)`
`void` | `setMinWidth(int _minWidth)`
`void` | `setMoveable(boolean _moveable)`
`void` | `setOnbeforehide(java.lang.String _onbeforehide)`
`void` | `setOnbeforeshow(java.lang.String _onbeforeshow)`
`void` | `setOnhide(java.lang.String _onhide)`
`void` | `setOnmaskclick(java.lang.String _onmaskclick)`
`void` | `setOnmaskcontextmenu(java.lang.String _onmaskcontextmenu)`
`void` | `setOnmaskdblclick(java.lang.String _onmaskdblclick)`
`void` | `setOnmaskmousedown(java.lang.String _onmaskmousedown)`
`void` | `setOnmaskmousemove(java.lang.String _onmaskmousemove)`
`void` | `setOnmaskmouseout(java.lang.String _onmaskmouseout)`
`void` | `setOnmaskmouseover(java.lang.String _onmaskmouseover)`
`void` | `setOnmaskmouseup(java.lang.String _onmaskmouseup)`
`void` | `setOnmove(java.lang.String _onmove)`
`void` | `setOnresize(java.lang.String _onresize)`
`void` | `setOnshow(java.lang.String _onshow)`
`void` | `setOverlapEmbedObjects(boolean _overlapEmbedObjects)`
`void` | `setShadowDepth(java.lang.String _shadowDepth)`
`void` | `setShadowOpacity(java.lang.String _shadowOpacity)`
`void` | `setShowWhenRendered(boolean _showWhenRendered)`
`void` | `setStyle(java.lang.String _style)`
`void` | `setStyleClass(java.lang.String _styleClass)`
`void` | `setTop(java.lang.String _top)`
`void` | `setTridentIVEngineSelectBehavior(java.lang.String _tridentIVEngineSelectBehavior)`
`void` | `setTrimOverlayedElements(boolean _trimOverlayedElements)`
`void` | `setWidth(int _width)`
`void` | `setZindex(int _zindex)`

Methods inherited from class org.richfaces.component.UIModalPanel
`getRendersChildren, getShadowStyle, getVisualOptions, isResizeable, prepareVisualOptions, setResizeable, setVisualOptions`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getConverterMessage, getRequiredMessage, getSubmittedValue, getValidator, getValidatorMessage, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, processDecodes, processUpdates, processValidators, removeValidator, removeValueChangeListener, resetValue, setConverterMessage, setImmediate, setLocalValueSet, setRequired, setRequiredMessage, setSubmittedValue, setValid, setValidator, setValidatorMessage, setValue, setValueChangeListener, updateModel, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, invokeOnComponent, isRendered, isTransient, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlModalPanel

    public HtmlModalPanel()

Method Detail

### isAutosized

    public boolean isAutosized()

  Specified by:
    `isAutosized` in class `UIModalPanel`

### setAutosized

    public void setAutosized(boolean _autosized)

  Specified by:
    `setAutosized` in class `UIModalPanel`

### getControlsClass

    public java.lang.String getControlsClass()

### setControlsClass

    public void setControlsClass(java.lang.String _controlsClass)

### getDomElementAttachment

    public java.lang.String getDomElementAttachment()

  Specified by:
    `getDomElementAttachment` in class `UIModalPanel`

### setDomElementAttachment

    public void setDomElementAttachment(java.lang.String _domElementAttachment)

  Specified by:
    `setDomElementAttachment` in class `UIModalPanel`

### getHeaderClass

    public java.lang.String getHeaderClass()

### setHeaderClass

    public void setHeaderClass(java.lang.String _headerClass)

### getHeight

    public int getHeight()

  Specified by:
    `getHeight` in class `UIModalPanel`

### setHeight

    public void setHeight(int _height)

  Specified by:
    `setHeight` in class `UIModalPanel`

### isKeepVisualState

    public boolean isKeepVisualState()

  Specified by:
    `isKeepVisualState` in class `UIModalPanel`

### setKeepVisualState

    public void setKeepVisualState(boolean _keepVisualState)

  Specified by:
    `setKeepVisualState` in class `UIModalPanel`

### getLabel

    public java.lang.String getLabel()

### setLabel

    public void setLabel(java.lang.String _label)

### getLeft

    public java.lang.String getLeft()

  Specified by:
    `getLeft` in class `UIModalPanel`

### setLeft

    public void setLeft(java.lang.String _left)

  Specified by:
    `setLeft` in class `UIModalPanel`

### getMinHeight

    public int getMinHeight()

  Specified by:
    `getMinHeight` in class `UIModalPanel`

### setMinHeight

    public void setMinHeight(int _minHeight)

  Specified by:
    `setMinHeight` in class `UIModalPanel`

### getMinWidth

    public int getMinWidth()

  Specified by:
    `getMinWidth` in class `UIModalPanel`

### setMinWidth

    public void setMinWidth(int _minWidth)

  Specified by:
    `setMinWidth` in class `UIModalPanel`

### isMoveable

    public boolean isMoveable()

  Specified by:
    `isMoveable` in class `UIModalPanel`

### setMoveable

    public void setMoveable(boolean _moveable)

  Specified by:
    `setMoveable` in class `UIModalPanel`

### getOnbeforehide

    public java.lang.String getOnbeforehide()

### setOnbeforehide

    public void setOnbeforehide(java.lang.String _onbeforehide)

### getOnbeforeshow

    public java.lang.String getOnbeforeshow()

### setOnbeforeshow

    public void setOnbeforeshow(java.lang.String _onbeforeshow)

### getOnhide

    public java.lang.String getOnhide()

### setOnhide

    public void setOnhide(java.lang.String _onhide)

### getOnmaskclick

    public java.lang.String getOnmaskclick()

### setOnmaskclick

    public void setOnmaskclick(java.lang.String _onmaskclick)

### getOnmaskcontextmenu

    public java.lang.String getOnmaskcontextmenu()

### setOnmaskcontextmenu

    public void setOnmaskcontextmenu(java.lang.String _onmaskcontextmenu)

### getOnmaskdblclick

    public java.lang.String getOnmaskdblclick()

### setOnmaskdblclick

    public void setOnmaskdblclick(java.lang.String _onmaskdblclick)

### getOnmaskmousedown

    public java.lang.String getOnmaskmousedown()

### setOnmaskmousedown

    public void setOnmaskmousedown(java.lang.String _onmaskmousedown)

### getOnmaskmousemove

    public java.lang.String getOnmaskmousemove()

### setOnmaskmousemove

    public void setOnmaskmousemove(java.lang.String _onmaskmousemove)

### getOnmaskmouseout

    public java.lang.String getOnmaskmouseout()

### setOnmaskmouseout

    public void setOnmaskmouseout(java.lang.String _onmaskmouseout)

### getOnmaskmouseover

    public java.lang.String getOnmaskmouseover()

### setOnmaskmouseover

    public void setOnmaskmouseover(java.lang.String _onmaskmouseover)

### getOnmaskmouseup

    public java.lang.String getOnmaskmouseup()

### setOnmaskmouseup

    public void setOnmaskmouseup(java.lang.String _onmaskmouseup)

### getOnmove

    public java.lang.String getOnmove()

### setOnmove

    public void setOnmove(java.lang.String _onmove)

### getOnresize

    public java.lang.String getOnresize()

### setOnresize

    public void setOnresize(java.lang.String _onresize)

### getOnshow

    public java.lang.String getOnshow()

### setOnshow

    public void setOnshow(java.lang.String _onshow)

### isOverlapEmbedObjects

    public boolean isOverlapEmbedObjects()

  Specified by:
    `isOverlapEmbedObjects` in class `UIModalPanel`

### setOverlapEmbedObjects

    public void setOverlapEmbedObjects(boolean _overlapEmbedObjects)

  Specified by:
    `setOverlapEmbedObjects` in class `UIModalPanel`

### getShadowDepth

    public java.lang.String getShadowDepth()

### setShadowDepth

    public void setShadowDepth(java.lang.String _shadowDepth)

### getShadowOpacity

    public java.lang.String getShadowOpacity()

### setShadowOpacity

    public void setShadowOpacity(java.lang.String _shadowOpacity)

### isShowWhenRendered

    public boolean isShowWhenRendered()

  Specified by:
    `isShowWhenRendered` in class `UIModalPanel`

### setShowWhenRendered

    public void setShowWhenRendered(boolean _showWhenRendered)

  Specified by:
    `setShowWhenRendered` in class `UIModalPanel`

### getStyle

    public java.lang.String getStyle()

### setStyle

    public void setStyle(java.lang.String _style)

### getStyleClass

    public java.lang.String getStyleClass()

### setStyleClass

    public void setStyleClass(java.lang.String _styleClass)

### getTop

    public java.lang.String getTop()

  Specified by:
    `getTop` in class `UIModalPanel`

### setTop

    public void setTop(java.lang.String _top)

  Specified by:
    `setTop` in class `UIModalPanel`

### getTridentIVEngineSelectBehavior

    public java.lang.String getTridentIVEngineSelectBehavior()

  Specified by:
    `getTridentIVEngineSelectBehavior` in class `UIModalPanel`

### setTridentIVEngineSelectBehavior

    public void setTridentIVEngineSelectBehavior(java.lang.String _tridentIVEngineSelectBehavior)

  Specified by:
    `setTridentIVEngineSelectBehavior` in class `UIModalPanel`

### isTrimOverlayedElements

    public boolean isTrimOverlayedElements()

  Specified by:
    `isTrimOverlayedElements` in class `UIModalPanel`

### setTrimOverlayedElements

    public void setTrimOverlayedElements(boolean _trimOverlayedElements)

  Specified by:
    `setTrimOverlayedElements` in class `UIModalPanel`

### getWidth

    public int getWidth()

  Specified by:
    `getWidth` in class `UIModalPanel`

### setWidth

    public void setWidth(int _width)

  Specified by:
    `setWidth` in class `UIModalPanel`

### getZindex

    public int getZindex()

  Specified by:
    `getZindex` in class `UIModalPanel`

### setZindex

    public void setZindex(int _zindex)

  Specified by:
    `setZindex` in class `UIModalPanel`

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIInput`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIInput`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.